Background Manager version 1.0.24 released

on March 4, 2012 in WordPress with 4 comments by

Today brings us version 1.0.24 of Background Manager.

This fixes a bug a rather odd bug, which only occurred when the front page was a static Post Page (Admin Dashboard -> Settings -> Reading). In those cases, neither the front page nor the page used as the static page would have a background – at all.

This was caused by WordPress differentiation between is_front_page() and is_home(), whilst the plugin only checked for is_front_page(). The odd issue with this, is that the page selected as the “home” page did not return true with is_page(), even though it is one. So some trickery had to be used to solve that problem.

Furthermore, this version changes the way backgrounds are displayed in full-screen. There have been a few reports on background image “squishing”, which I had noticed as well – despite that I intended for this NOT to happen. The new CSS code will allow the browser to decide which side to stretch to fill the screen, rather than by width only as before. This also meant some of the Javascript used for transitions had to be rewritten, but that was a plus as it is now simpler.

4 comments

  1. posted on Mar 12, 2014 at 5:18 AM  |  reply

    More info – the deactivation of the plugin may be related to the site being accessed via the mobile edition. That deactivated the plugin at least once.

  2. posted on Mar 12, 2014 at 4:55 AM  |  reply

    I have v 1.2.5.2 installed and am experiencing the above problem. I have a static page defined as the home page, and the plugin deactivates itself with no explanation or warning. It could be working all day, and then fail in the evening. Please advise.

  3. lahmar
    posted on May 30, 2012 at 10:30 PM  |  reply

    Hello,
    I’m french and speak english little! I’m sorry if I have a bad language
    I have to install Background Manager version 1.0.24 but when I want to active I have this message:

    Error: Unsupported version

    The plugin “Background Manager” requires PHP version 5.3.0 or better.

    Because of this error, the plugin was automatically deactivated to prevent it from causing further problems with your WordPress site.

    Error source: /homepages/36/d406648454/htdocs/WORDPRESS/wp-content/plugins/background-manager/background-manager.php

    I’m on 1&1 with php5, I don’t know the details to this version php…

    • posted on May 31, 2012 at 5:11 AM  |  reply

      Bonjour!

      Pour utiliser la dernière version de PHP, suivez ces instructions: http://faq.1and1.fr/upgrade/upgradephp/5.html

      S’il vous plaît noter qu’il mentiones PHP 6, mais en réalité il est PHP 5.4 (PHP reportée 6, et a fusionné la nouvelle mise à jour dans le courant de 5 séries).

      J’espère que cela aide!

Join the discussion

Your email address will not be published. Required fields are marked *